Bug 1417313 - Schema missing warnings in logs
Summary: Schema missing warnings in logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Nick Carboni
QA Contact: luke couzens
URL:
Whiteboard: black
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 23:09 UTC by myoder
Modified: 2020-04-15 15:11 UTC (History)
9 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 13:09:24 UTC
Category: Bug
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 0 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Description myoder 2017-01-27 23:09:13 UTC
Description of problem:

After the upgrade to CloudForms 4.2, there is a hotfix to install cfme-5.7.0.17-2.el7cf.x86_64.rpm, to fix failed refresh for the OCP 3.3 provider.  Once the hotfix is applied, these WARN messages are showing up in the logs:

[----] W, [2017-01-19T23:15:24.136788 #41978:369138]  WARN -- : MIQ(MiqServer.check_migrations_up_to_date) database schema is from a newer version of the product and may be incompatible.  Schema version is [20160922235000].  Missing files: [20160106214719, 20160425161345]
[----] W, [2017-01-19T23:15:24.136884 #41978:369138]  WARN -- : MIQ(MiqServer.check_migrations_up_to_date) appliance should be updated to match database version

Version-Release number of selected component (if applicable):
CFME 5.7.0.17

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 12 Nick Carboni 2017-02-20 15:04:15 UTC
The issue here is that migrations that have been run previously are no longer present on the filesystem. This would be an issue if we ever wanted to migrate "down", but we don't ever do that in production.

The warning can be "fixed" by removing the version rows for the two migrations from the schema_migrations table.

What do you think Jason? Is that a thing we should do (write a new migration to edit schema_migrations) or should we be deleting the contents of the migrations rather than the entire files?

Comment 17 CFME Bot 2017-06-13 18:01:44 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/4a44664a08f67f5127ad4d04581f17d0c48a03a8

commit 4a44664a08f67f5127ad4d04581f17d0c48a03a8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Wed Apr 19 11:51:51 2017 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Wed Apr 19 11:51:51 2017 -0400

    Remove the rows from schema_migrations for deleted migration files
    
    These migrations were removed in #11197 and #9696 and are now
    causing a warning in the logs if the schema_migrations row is present,
    but the files are not.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1417313

 db/migrate/20170419154137_remove_deleted_migration_timestamps.rb | 9 +++++++++
 1 file changed, 9 insertions(+)
 create mode 100644 db/migrate/20170419154137_remove_deleted_migration_timestamps.rb

Comment 19 luke couzens 2017-10-24 08:02:50 UTC
Verified in 5.9.0.3

Comment 22 errata-xmlrpc 2018-03-01 13:09:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.